[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc

[MCPU]
Measure=CPU
Processor=#CPUN#

[MCPUMHz]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=CpuSpeed
UpdateDivider=5
CoreTempIndex=#CORN#
OnChangeAction=[!UpdateMeasure SpeedCalc][!UpdateMeter CPUSpeed][!UpdateMeter Bar6]

[SpeedRegistry]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=~MHz
UpdateDivider=-1

[SpeedCalc]

Measure=Calc

Formula=round(100*[MCPUMHz]/[SpeedRegistry])

DynamicVariables=1


MinValue=0
MaxValue=100
UpdateDivider=-1

[MBusMult]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusMultiplier
UpdateDivider=5
CoreTempIndex=#CORN#
OnChangeAction=[!UpdateMeter Mult]

[MBusSpeed]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusSpeed
UpdateDivider=5
CoreTempIndex=#CORN#
OnChangeAction=[!UpdateMeter Mult]

[MCPUName]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=ProcessorNameString
UpdateDivider=-1

[MCPUIdentifier]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=Identifier
UpdateDivider=-1

[Cpu1Temp]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=Temperature
CoreTempIndex=#CORN#
MinValue=0
MaxValue=100
UpdateDivider=5
OnChangeAction=[!UpdateMeter Temp][!UpdateMeter Bar4]

[Title]
Meter=STRING
MeterStyle=Style1
MeasureName=MCPUName
MeasureName2=MCPUIdentifier
Text=CPU (#NBRCore#)
Tooltiptext=%1#CRLF#%2#CRLF#

[CPUValue]
Meter=STRING
MeterStyle=Style5
MeasureName=MCPU
Text=%1%
NumOfDecimals=2
UpdateDivider=1

[Bar]
Meter=Shape
MeterStyle=PB1

[Bar2]
Meter=Shape
MeterStyle=PB2
Shape2=Rectangle ([MCPU]*1.93-186),0.6,192,9,2
UpdateDivider=1

[Temt]
Meter=STRING
MeterStyle=Style3
Text=#TEMPE#

[Temp]
MeasureName=Cpu1Temp
Meter=STRING
MeterStyle=Style4
Text=%1C
ToolTipTitle=#CRO#
NumOfDecimals=0

[Bar3]
Meter=Shape
MeterStyle=PB1

[Bar4]
Meter=Shape
MeterStyle=PB2
Shape2=Rectangle ([Cpu1Temp]*1.93-186),0.6,192,9,2

[SPCT]
Meter=STRING
MeterStyle=Style3
Text=#CPS#

[CPUSpeed]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPUMHz
MeasureName2=SpeedRegistry
Text=%1/%2Mhz

[Bar5]
Meter=Shape
MeterStyle=PB1

[Bar6]
Meter=Shape
MeterStyle=PB2
Shape2=Rectangle ([SpeedCalc]*1.93-186),0.6,192,9,2

[Multt]
Meter=STRING
MeterStyle=Style3
Text=#BUSP#

[Mult]
Meter=STRING
MeasureName=MBusMult
MeasureName2=MBusSpeed
MeterStyle=Style4
Text=%2Mhz (X%1)
TooltipText=#BUSP# & #Mulr# 
